%{!?repo:%define repo core}

Summary: yum %{repo} repository configuration file
Name: springdale-%{repo}
Version: 6
Release: 2.sdl6.11
Group: System Environment/Base 
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: yum springdale-release /etc/pki/rpm-gpg/RPM-GPG-KEY-puias
%if "%{repo}" != "core"
Requires: springdale-core
%if "%{repo}" != "addons" && "%{repo}" != "DevToolset"
Requires: springdale-addons
%endif
%define base %{nil}
%else
%define base _Base
%endif
%if  "%{repo}" == "DevToolset" || "%{repo}" == "buildsys"
%define base _Base
%endif
Provides: puias-%{repo} = %{version}-%{release}
Obsoletes: puias-%{repo} < %{version}-%{release}

%description
This rpm contains yum %{repo} repository configuration file.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

%undefine base_repo
%undefine updates_repo
%undefine debuginfo_repo
%undefine debuginfoupdates_repo
%undefine source_repo
%undefine sourceupdates_repo
%define repo_name %{repo}


%if "%{repo_name}" == "core"
echo "core"
%define base_repo http://www.puias.princeton.edu/data/puias/\\$releasever/\\$basearch/os
%define updates_repo http://www.puias.princeton.edu/data/puias/updates/\\$releasever/en/os/\\$basearch
%define debuginfo_repo http://www.puias.princeton.edu/data/puias/\\$releasever/\\$basearch/debug/os
%define debuginfoupdates_repo http://www.puias.princeton.edu/data/puias/updates/\\$releasever/en/os/debug/\\$basearch
%define source_repo http://www.puias.princeton.edu/data/puias/\\$releasever/source/os
%define sourceupdates_repo http://www.puias.princeton.edu/data/puias/updates/\\$releasever/en/os/SRPMS
%undefine repo_name
%endif

%if "%{repo_name}" == "addons"
echo "addons"
%define base_repo http://www.puias.princeton.edu/data/puias/\\$releasever/\\$basearch/os/Addons
%define updates_repo http://www.puias.princeton.edu/data/puias/updates/\\$releasever/en/%{repo}/\\$basearch
%undefine repo_name
%endif

%if "%{repo_name}" == "buildsys"
echo "buildsys"
%define base_repo http://www.puias.princeton.edu/data/puias/%{repo}/\\$releasever/os/\\$basearch
%undefine repo_name
%endif

%if %{?repo_name:1}0
%define base_repo http://www.puias.princeton.edu/data/puias/%{repo}/\\$releasever/\\$basearch
echo "other %{repo}"
%endif


%if %{?base_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/puias-%{version}-%{repo}.repo <<ENDREPO
[PUIAS_%{version}_%{repo}%{base}]
name=PUIAS %{repo} Base \$releasever - \$basearch
mirrorlist=%{base_repo}/mirrorlist
#baseurl=%{base_repo}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-puias
ENDREPO
%endif

%if %{?updates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/puias-%{version}-%{repo}.repo <<ENDREPO

[PUIAS_%{version}_%{repo}_Updates]
name=PUIAS %{repo} Updates \$releasever - \$basearch
mirrorlist=%{updates_repo}/mirrorlist
#baseurl=%{updates_repo}
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-puias
ENDREPO
%endif

%if %{?debuginfo_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/puias-%{version}-%{repo}-debug.repo <<ENDREPO
[PUIAS_%{version}_%{repo}_Base_Debug]
name=PUIAS %{repo} Base \$releasever Debuginfo - \$basearch
mirrorlist=%{debuginfo_repo}/mirrorlist
#baseurl=%{debuginfo_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-puias
ENDREPO
%endif

%if %{?debuginfoupdates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/puias-%{version}-%{repo}-debug.repo <<ENDREPO

[PUIAS_%{version}_%{repo}_Updates_Debug]
name=PUIAS %{repo} Updates \$releasever Debuginfo - \$basearch
mirrorlist=%{debuginfoupdates_repo}/mirrorlist
#baseurl=%{debuginfoupdates_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-puias
ENDREPO
%endif

%if %{?source_repo:1}0
cat > $RPM_BUILD_ROOT/etc/yum.repos.d/puias-%{version}-%{repo}-source.repo <<ENDREPO
[PUIAS_%{version}_%{repo}_Base_Source]
name=PUIAS %{repo} Base \$releasever SRPMS - \$basearch
mirrorlist=%{source_repo}/mirrorlist
#baseurl=%{source_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-puias
ENDREPO
%endif

%if %{?sourceupdates_repo:1}0
cat >> $RPM_BUILD_ROOT/etc/yum.repos.d/puias-%{version}-%{repo}-source.repo <<ENDREPO

[PUIAS_%{version}_%{repo}_Updates_Source]
name=PUIAS %{repo} Updates \$releasever SRPMS - \$basearch
mirrorlist=%{sourceupdates_repo}/mirrorlist
#baseurl=%{sourceupdates_repo}
gpgcheck=1
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-puias
ENDREPO
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(noreplace) /etc/yum.repos.d/puias*

%changelog
* Mon Feb 25 2013 Josko Plazonic <plazonic@math.princeton.edu>
- move to springdale

* Thu Mar 29 2012 Thomas Uphill <uphill@ias.edu>
- rewriting the if statements to make it more readable.
- adding buildsys

* Mon Nov 29 2010 Thomas Uphill <uphill@ias.edu>
- adding mirrorlist for all repos

* Tue Nov 16 2010 Josko Plazonic <plazonic@math.princeton.edu>
- initial build for PUIAS 6

* Tue Jul 17 2007 Josko Plazonic <plazonic@math.princeton.edu>
- variant for unsupported repo

* Mon Mar 26 2007 Josko Plazonic <plazonic@math.princeton.edu>
- first build
